# zipstreamimpl.h File Reference

Go to the source code of this file.

## Classes
class | zlib_stream::basic_unzip_streambuf< charT, traits >
| A stream decorator that takes compressed input and unzips it to a istream. More...
class | zlib_stream::basic_zip_istream< charT, traits >
class | zlib_stream::basic_zip_ostream< charT, traits >
class | zlib_stream::basic_zip_streambuf< charT, traits >
| A stream decorator that takes raw input and zips it to a ostream. More...
## Namespaces
namespace | zlib_stream
namespace | zlib_stream::detail
## Defines
#define | OS_CODE 0x03
## Typedefs
typedef basic_zip_istream< char > | zlib_stream::zip_istream
| A typedef for basic_zip_istream<char>
typedef basic_zip_ostream< char > | zlib_stream::zip_ostream
| A typedef for basic_zip_ostream<char>
## Enumerations
enum | zlib_stream::EStrategy { zlib_stream::StrategyFiltered = 1, zlib_stream::StrategyHuffmanOnly = 2, zlib_stream::DefaultStrategy = 0 }
| Compression strategy, see zlib doc. More...
## Functions
bool | zlib_stream::isGZip (std::istream &is)
| A typedef for basic_zip_ostream<wchar_t>
## Variables
const int | zlib_stream::detail::gz_ascii_flag = 0x01
const int | zlib_stream::detail::gz_comment = 0x10
const int | zlib_stream::detail::gz_extra_field = 0x04
const int | zlib_stream::detail::gz_head_crc = 0x02
const int | zlib_stream::detail::gz_magic [2] = {0x1f, 0x8b}
const int | zlib_stream::detail::gz_orig_name = 0x08
const int | zlib_stream::detail::gz_reserved = 0xE0
const size_t | zlib_stream::zstream_default_buffer_size = 4096

## Define Documentation

#define OS_CODE 0x03